component-section(datetimestart='2021-11-30T19:45' minutesneeded='105' istopmost='true')
  div(slot='title') Ordenen
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["begrip-relatie_ordening"]')
        | Je legt uit een relatie en ordening.
      component-intendedlearningoutcome(codes='["ontwikkeling-zoeken-binary"]')
        | Je ontwikkelt binary search.
  component-section(datetimestart='2021-11-30T19:45' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-11-30T19:50' minutesneeded='20')
    div(slot='title') Uitleg relaties in de wiskunde
    p
      | Samenvattende uitleg met 
      a(href='https://eli.thegreenplace.net/2018/partial-and-total-orders/') Partial and Total Orders
      | .
  component-section(datetimestart='2021-11-30T20:10' minutesneeded='20')
    div(slot='title') Relaties in Rust
    ul
      li
        p
          | Gelijkheid met 
          code.lang-rust PartialEq
          |  en 
          code.lang-rust Eq
          |  en ordening met 
          code.lang-rust PartialOrd
          |  en 
          code.lang-rust Ord
          | .
      li
        p Comparators.
  component-section(datetimestart='2021-11-30T20:30' minutesneeded='20')
    div(slot='title') Relaties in Java
    ul
      li
        p
          | Gelijkheid met 
          code.lang-java Object.equals
          |  en ordening met 
          code.lang-java Comparable
          | .
      li
        p
          | Comparators met 
          code.lang-java Comparator
          | .
  component-section(datetimestart='2021-11-30T20:50' minutesneeded='10')
    div(slot='title') Binary search
    p
      | Samenvattende uitleg met 
      a(href='https://opendsa.cs.vt.edu/ODSA/Books/Everything/html/BinarySearch.html#binary-search') OpenDSA: Binary Search
      | .
  component-section(datetimestart='2021-11-30T21:00' minutesneeded='20')
    div(slot='title') Zelf (samen)werken
  component-section(datetimestart='2021-11-30T21:20' minutesneeded='10')
    div(slot='title') Afronding
